aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--feeds.conf.default8
-rwxr-xr-xscripts/feeds4
2 files changed, 6 insertions, 6 deletions
diff --git a/feeds.conf.default b/feeds.conf.default
index 98bf97232d..f1827a3661 100644
--- a/feeds.conf.default
+++ b/feeds.conf.default
@@ -1,5 +1,5 @@
-src-git packages https://git.openwrt.org/feed/packages.git;openwrt-21.02
-src-git luci https://git.openwrt.org/project/luci.git;openwrt-21.02
-src-git routing https://git.openwrt.org/feed/routing.git;openwrt-21.02
-src-git telephony https://git.openwrt.org/feed/telephony.git;openwrt-21.02
+src-git-full packages https://git.openwrt.org/feed/packages.git;openwrt-21.02
+src-git-full luci https://git.openwrt.org/project/luci.git;openwrt-21.02
+src-git-full routing https://git.openwrt.org/feed/routing.git;openwrt-21.02
+src-git-full telephony https://git.openwrt.org/feed/telephony.git;openwrt-21.02
#src-link custom /usr/src/openwrt/custom-feed
diff --git a/scripts/feeds b/scripts/feeds
index eee0a50717..499354391b 100755
--- a/scripts/feeds
+++ b/scripts/feeds
@@ -167,8 +167,8 @@ my %update_method = (
'init' => "git clone '%s' '%s'",
'init_branch' => "git clone --branch '%s' '%s' '%s'",
'init_commit' => "git clone '%s' '%s' && cd '%s' && git checkout -b '%s' '%s' && cd -",
- 'update' => "git pull --ff",
- 'update_force' => "git pull --ff || (git reset --hard HEAD; git pull --ff; exit 1)",
+ 'update' => "git pull --ff-only",
+ 'update_force' => "git pull --ff-only || (git reset --hard HEAD; git pull --ff-only; exit 1)",
'post_update' => "git submodule update --init --recursive",
'controldir' => ".git",
'revision' => "git rev-parse --short HEAD | tr -d '\n'"},